Subject: IAB appoints Paul Wouters to the 2022 ICANN Nominating Committee

From: IAB Executive Administrative Manager <[email-masked]>
Date: Wed, 22 Sep 2021 09:00:51 -0700

The IAB is pleased to appoint Paul Wouters to the 2022 ICANN Nominating 
Committee.

The IAB would like to thank everyone who put their name forward as a 
candidate for this position, as well as those who provided feedback 
during this process. The IAB also thanks Peter Koch for his service in 
this role over the past two years.

Best regards,

Cindy Morgan
IAB Executive Administrative Manager